#!/bin/sh

PATCH_DIR=`cd $(dirname $0) && pwd`
PATCHES=`ls ${PATCH_DIR}/*.patch | sort`

for p in ${PATCHES}; do
	echo "###"
	echo "### patch -p1 < ${p}"
	patch -p1 < ${p}
	RET=$?
	if [ ${RET} -ne 0 ]; then
		echo "ERROR: patch -p1 < ${p}"
		exit ${RET}
	fi
done

